|  | Home | Documentation | saml1__SubjectLocalityType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml1__SubjectLocalityType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":SubjectLocalityType is a complexType. More...

`#include <saml1.h>`

## Public Attributes
char * | IPAddress
| Attribute "IPAddress" of XSD type xs:string. More...
char * | DNSAddress
| Attribute "DNSAddress" of XSD type xs:string. More...

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":SubjectLocalityType is a complexType.

struct saml1__SubjectLocalityType operations:

- saml1__SubjectLocalityType* soap_new_saml1__SubjectLocalityType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_saml1__SubjectLocalityType(struct soap*, saml1__SubjectLocalityType*) default initialize members
- int soap_read_saml1__SubjectLocalityType(struct soap*, saml1__SubjectLocalityType*) deserialize from a source
- int soap_write_saml1__SubjectLocalityType(struct soap*, saml1__SubjectLocalityType*) serialize to a sink
- saml1__SubjectLocalityType* soap_dup_saml1__SubjectLocalityType(struct soap*, saml1__SubjectLocalityType* dst, saml1__SubjectLocalityType <em>src) returns deep copy of saml1__SubjectLocalityType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_saml1__SubjectLocalityType(saml1__SubjectLocalityType) deep deletes saml1__SubjectLocalityType data members, use only on dst after soap_dup_saml1__SubjectLocalityType(NULL, saml1__SubjectLocalityType *dst, saml1__SubjectLocalityType *src) (use soapcpp2 -Ed)

## Member Data Documentation

char* saml1__SubjectLocalityType::DNSAddress

Attribute "DNSAddress" of XSD type xs:string.

Optional attribute.

char* saml1__SubjectLocalityType::IPAddress

Attribute "IPAddress" of XSD type xs:string.

Optional attribute.

The documentation for this struct was generated from the following file:

- saml1.h